﻿using System;
using System.Linq;


public partial class Grid : System.Web.UI.UserControl, IBindCriteria
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
    }

    void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        //obtain a datasoruce with respect to the bind string (search criteria)
        // lets mock a datasource for this example
        var data = "January February March April May June".Split(' ');
        RadGrid1.DataSource = data;
    }

    public string BindString
    {
        get
        {
            return ViewState["BindString"] as string;
        }
        set
        {
            ViewState["BindString"] = value;
        }
    }
}